<form title="Anagrafica" model="Anag">
    <view>
        <item name="hdn_id" field="id" type="hidden"/>
        <item name="hdn_url_id" field="id_url" type="hidden"/>
        <item name="hdn_typ" field="id_typ" type="hidden"/>
        <item name="hdn_hdn" type="hidden"/>
        <item type="panel" form="group">
            <item type="panel" col="md-12">
                
                <item>
                    <item>
                        <item name="txt_cme" label="Cognome" col="md-3" notNull="1" field="nme_lst" type="text"/>
                        <item name="txt_nme" label="Nome" col="md-3" field="nme_fst" type="text"/>
                        <item name="cmb_fg" label="Persona" type="combo" col="md-3" empty="no" field="ang_fg" onchange="refresh">
                            <prop name="datasource">
                                <data>
                                    <item><key/><val>Fisica</val></item>
                                    <item><key>1</key><val>Giuridica</val></item>
                                </data>
                            </prop>
                        </item>
                        <item name="cmb_gnr" label="Genere" type="combo" col="md-3" field="ang_gnr">
                            <prop name="datasource">
                                <query>
                                    <sql>
                                    select hex(ii.id) as id, ii.nme
                                    from osy_itm ii 
                                    inner join osy_itm it on (ii.id_typ = it.id and it.urn = "urn:opensymap.org@anag/gnr")
                                    order by if(ii.ord is null, 1, 0), ii.ord
                                    </sql>
                                </query>
                            </prop>
                        </item>
                        <item name="cmb_typ" label="Tipologia" type="combo" col="md-3" field="ang_typ_id" visible="no">
                            <prop name="datasource">
                                <query>
                                    <sql>
                                    select hex(ii.id) as id, ii.nme
                                    from osy_itm ii 
                                    inner join osy_itm it on (ii.id_typ = it.id and it.urn = "urn:opensymap.org@anag/frg")
                                    order by if(ii.ord is null, 1, 0), ii.ord
                                    </sql>
                                </query>
                            </prop>
                        </item>
                    </item>
                    <item>
                        <item name="txt_cf" label="Codice Fiscale" col="md-3" xnotNull="1" type="text" field="cf"/>
                        <item name="txt_piva" label="Partita Iva" col="md-3" xnotNull="1" type="text" field="piva"/>
                        <item name="txt_tel1" label="Telefono" col="md-3" notNull="0" field="tel_1" type="text"/>
                        <item name="txt_eml" label="Email" col="md-3" notNull="0" field="eml_1" type="text"/>
                    </item>
                    <item label="Dati di Nascita" name="pnl_brn">
                        <item name="src_nat" label="Nazione" col="md-3" type="search" field="brn_nat_cod,brn_nat_nme">
                            <prop name="datasource">
                                <source>main</source>
                                <query>
                                    <sql>
                                        select cod, nme 
                                        from osx_istat_geo_cod
                                        where nme like '{{:q}}%'
                                        and typ = 'nat'
                                        order by nme 
                                    </sql>
                                </query>
                            </prop>
                        </item>
                        <item name="src_cty" label="Città" col="md-3" type="search" field="brn_cty_cod,brn_cty_nme">
                            <prop name="datasource">
                                <source>main</source>
                                <query>
                                    <sql>
                                        select cod, nme 
                                        from osx_istat_geo_cod
                                        where nme like '{{:q}}%'
                                        and typ = 'cty'
                                        and ifnull(par,'') = {{src_nat.id}}
                                        order by nme 
                                    </sql>
                                </query>
                            </prop>
                        </item>
                        <item name="src_dat" label="Data" col="md-3" type="date" field="brn_dat"/>
                        <item name="src_cit" label="Cittadinanza" col="md-3" type="search" field="cit_cod,cit_nme">
                            <prop name="datasource">
                                <source>main</source>
                                <query>
                                    <sql>
                                        select cod, nme 
                                        from osx_istat_geo_cod
                                        where nme like '{{:q}}%'
                                        and typ = 'nat'
                                        order by nme 
                                    </sql>
                                </query>
                            </prop>
                        </item>
                    </item>
                    <item>
                        <item name="acc_web" label="Sito Web" col="md-3" property="anag:prop:website" type="text"/>
                        <item name="txt_ref" label="Info" col="md-9" notNull="0" property="anag:prop:info" type="text"/>
                    </item>
                </item>
            </item>
            <item>
                <item>
                    <item type="tab" name="tab_adr">
                        <item label="Indirizzi">
                            <item type="datagrid" name="usr_adr" search="1" col="md-8">
                                <prop name="datasource">
                                    <query>
                                        <sql>
                                            select hex(adr.id) as id, nme, adr.adr, adr.num, adr.zip, adr.cty_nme, adr.nat_nme
                                            from osy_adr adr
                                            where adr.ref_res = 'osy_ang'
                                            and adr.ref_id = {{@hdn_id}}
                                            and adr.dat_del__ is null
                                            and concat_ws(' ', adr.adr, adr.nme, adr.tel) like ('%{{:q}}%')
                                        </sql>
                                    </query>
                                    <columns>
                                        <col>
                                            <field>nme</field>
                                            <label>Nome</label>
                                        </col>
                                        <col>
                                            <mask>{{adr}}, {{num}}</mask>
                                            <label>Indirizzo</label>
                                        </col>
                                        <col>
                                            <mask>{{zip}} {{cty_nme}}</mask>
                                            <label>Città</label>
                                        </col>
                                        <col>
                                            <field>nat_nme</field>
                                            <label>Nazione</label>
                                        </col>
                                    </columns>
                                    <pager>20</pager>
                                </prop>
                                <prop name="formDetail">Addr</prop>
                                <prop name="formData">{"hdn_res":"hdn_id"}</prop>
                                <prop name="formValue">{"hdn_ref":"osy_ang"}</prop>
                            </item>
                            <item type="map" label="Mappa" name="map_adr" search="1" col="md-4">
                                <prop name="mask">
                                    <![CDATA[
                                    <b>[nme]</b>
                                    ]]>
                                </prop>
                                <prop name="datasource">
                                    <query>
                                        <sql>
                                            select hex(adr.id) as id, nme, adr.adr, adr.num, adr.zip, adr.cty_nme, adr.nat_nme, adr.lat, adr.lng
                                            from osy_adr adr
                                            where adr.ref_res = 'osy_ang'
                                            and adr.ref_id = {{@hdn_id}}
                                            and adr.dat_del__ is null
                                            and concat_ws(' ', adr.adr, adr.nme, adr.tel) like ('%{{:q}}%')
                                        </sql>
                                    </query>
                                    <columns>
                                        <col>
                                            <field>nme</field>
                                            <label>Nome</label>
                                        </col>
                                        <col>
                                            <mask>{{adr}}, {{num}}</mask>
                                            <label>Indirizzo</label>
                                        </col>
                                        <col>
                                            <mask>{{zip}} {{cty_nme}}</mask>
                                            <label>Città</label>
                                        </col>
                                        <col>
                                            <field>nat_nme</field>
                                            <label>Nazione</label>
                                        </col>
                                    </columns>
                                </prop>
                                <prop name="formDetail">Addr</prop>
                            </item>
                        </item>
                        <item name="pnl_acc" label="Accesso">
                            <item>
                                <item col="md-6">
                                    <item>
                                        <item name="txt_lgn" label="Login" col="md-6" field="aut_lgn" type="text"/>
                                        <item name="txt_pwd" label="Password" col="md-6" visible="no" type="text"/>
                                        <item name="btn_pwd" label="Cambia password" col="md-6" type="button" evet="pwd-change" emptyLabel="1" eventForm="1"/>
                                    </item>
                                    <item>
                                        <item name="cmb_role" label="Ruolo" col="md-6" field="aut_role" type="search">
                                            <prop name="datasource">
                                                <query>
                                                    <sql>
                                                        select hex(r.id) as id, concat_ws('@', r.nme, a.label) as nme, a.label as __group, r.nme as lbl
                                                        from osy_itm r
                                                        left join osy_app a on (r.id_app = a.id)
                                                        where r.id_typ = unhex(md5('urn:opensymap.org@type#role'))
                                                        order by a.label, r.nme
                                                    </sql>
                                                </query>
                                                <data>
                                                    <sql>
                                                        select hex(r.id) as id, concat_ws('@', r.nme, a.label) as nme
                                                        from osy_itm r
                                                        left join osy_app a on (r.id_app = a.id)
                                                        where r.id = unhex({[aut_role]})
                                                    </sql>
                                                </data>
                                            </prop>
                                        </item>
                                        <item name="chk_act" label="Attivo" col="md-6" field="aut_act" type="checkbox"/>
                                    </item>
                                    <item name="txt_aut_eml" label="Email di verifica Password" field="aut_eml" type="text"/>
                                </item>
                                <item col="md-6">
                                    <item name="pnl_aut">
                                        <item label="Restringi Autenticazione" name="dgr_aut_only" type="datagrid">
                                            <prop name="datasource">
                                                <query>
                                                    <sql>
                                                        select hex(iu.id) as id, iu.url, hex(ar.rel_id) as __check, 
                                                            case when ar.rel_id is null then 'disabled' else '' end __class,
                                                            lng.nme as lng
                                                        from @DataSource.main@.osx_ice_url iu
                                                        left join (
                                                            select ar.rel_id
                                                            from osy_ang__rel ar 
                                                            inner join osy_itm at on (ar.id_typ = at.id and at.urn = "urn:opensymap.org:user-rel#instance-url")
                                                            where ar.id_ang = {{@hdn_id}}
                                                        ) ar on (iu.id = ar.rel_id)
                                                        left join osy_itm lng on (iu.id_lng = lng.id)
                                                        where iu.id_par = {{@hdn_url_id}}
                                                        and iu.dat_del__ is null
                                                        order by 
                                                            case when ar.rel_id is null then 1 else 0 end,
                                                            iu.url
                                                    </sql>  
                                                </query>
                                                <columns>
                                                    <col>
                                                        <field>url</field>
                                                        <label>Punto di accesso</label>
                                                    </col>
                                                    <col>
                                                        <field>lng</field>
                                                        <label>Idioma</label>
                                                    </col>
                                                </columns>
                                            </prop>
                                        </item>
                                    </item>
                                </item>
                            </item>
                        </item>
                        <item name="pnl_info" label="Info">
                            <item type="text" rows="10"  field="aut_info" name="txt_info"/>
                        </item>
                    </item>
                </item>
            </item>
        </item>
    </view>
</form>